- Qt 6.5
- Qt GUI
- C++ Classes
- QEventPoint
- Qt 6.5.0 Reference Documentation

# Obsolete Members for QEventPoint

The following members of class QEventPoint are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.0))` QPointF | lastNormalizedPos() const
`(deprecated (6.0))` QPointF | normalizedPos() const
`(deprecated (6.0))` QPointF | pos() const
`(deprecated (6.0))` QPointF | startNormalizedPos() const

## Member Function Documentation

### QPointF QEventPoint::lastNormalizedPos() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use globalLastPosition() instead.

Returns the normalized position of this point from the previous press or move event.

The coordinates are normalized to QInputDevice::availableVirtualGeometry(), i.e. `(0, 0)` is the top-left corner and `(1, 1)` is the bottom-right corner.

See also normalizedPosition() and globalPressPosition().

### QPointF QEventPoint::normalizedPos() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use normalizedPosition() instead.

### QPointF QEventPoint::pos() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use position() instead.

Returns the position of this point, relative to the widget or item that received the event.

### QPointF QEventPoint::startNormalizedPos() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use globalPressPosition() instead.

Returns the normalized press position of this point.